#include "Utility.h"

void Exit(string msg) {
    throw runtime_error(msg);
}

void UsageError(string fileName,string msg) {
	Exit("Usage: "+fileName+" "+msg);
}

void FileError(string fileName) {
	Exit("Error: File <"+fileName+"> not found");
}

string ToString(char *s) {
    string ret(s);
    return ret;
}

string ToString(int i) {
    stringstream buf;
    buf << i;
    return buf.str();
}

string ToString(double d) {
    stringstream buf;
    buf << d;
    return buf.str();
}

int ToInteger(string s) {
    istringstream buf(s);
    int ret;
    buf >> ret;
    return ret;
}

double ToDouble(string s) {
    istringstream buf(s);
    double ret;
    buf >> ret;
    return ret;
}

int IsPositiveInteger(string s) {
    int i = ToInteger(s);
    return i > 0;
}

